Skip to content
BleemeoBleemeo

Retrieve a news item

GET
/v1/news/{id}/
curl --request GET \
--url https://example.com/v1/news/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/ \
--header 'Authorization: Bearer <token>'

Return a single news item by its ID.

id
required
string format: uuid

A UUID string identifying this news.

Media typeapplication/json

A ModelSerializer that takes an additional fields argument that controls which fields should be displayed.

object
id
required
string format: uuid
title
required
string
<= 50 characters
description
string
image
string format: uri
nullable
banner_image
string format: uri
nullable
active
boolean
created_at
string format: date-time
modified_at
required
string format: date-time
Examplegenerated
{
"title": "example",
"description": "example",
"image": "https://example.com",
"banner_image": "https://example.com",
"active": true,
"created_at": "2026-04-15T12:00:00Z"
}